- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 6c286f41-37f5-42be-92a9-1d8981a850a2
    creation_time: 2023-02-17T12:13:56.477033Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham.c
      input_file_hashes:
        c/nla-digbench/bresenham.c: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham.c
    file_hash: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: 2*Y*x-2*X*y-X+2*Y-v == 0 &&  ( x <= X+1 ||  ( X < 0 && 0 == x && v == 2*Y-X )  ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2c30b770-9210-4313-9c1e-8d0feb961657
    creation_time: 2023-02-17T12:13:56.477334Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham.c
      input_file_hashes:
        c/nla-digbench/bresenham.c: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham.c
    file_hash: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
    line: 31
    column: 0
    function: main
  location_invariant:
    string: 2*Y*x-2*X*y-X+2*Y-v == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1774b4e6-25bd-45cf-946a-05a093fed4b9
    creation_time: 2023-02-17T12:13:56.477440Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham.c
      input_file_hashes:
        c/nla-digbench/bresenham.c: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham.c
    file_hash: afbe0be677aa968429f09cb828a47a21ad805cb98eb5c510a7e43aa717a15e31
    line: 44
    column: 0
    function: main
  location_invariant:
    string: 2*Y*x-2*x*y-X+2*Y-v+2*y == 0
    type: assertion
    format: C

